# Progress bar

The progress bar component is designed to give some visual feedback to the user when they are navigating between routes. Internally it uses a service to keep track of route changes so you don't need to do anything special to make it work

## Usage

Just make sure that you add the following code to the Application template and the component will take care of the rest!

```handlebars
<EsProgressBar />
```

The above demo doesn't look like much, but if you want to see it in action you need to navigate to a different route and keep an eye on the top of the screen. Try it now by clicking something in the table of contents and then navigate back to this page
